<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_231) on Tue May 05 14:00:43 EEST 2020 -->
<title>IRestaurantProcessing</title>
<meta name="date" content="2020-05-05">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="IRestaurantProcessing";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../bll/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/IRestaurantProcessing.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../index.html?bll/IRestaurantProcessing.html" target="_top">Frames</a></li>
<li><a href="IRestaurantProcessing.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">bll</div>
<h2 title="Interface IRestaurantProcessing" class="title">Interface IRestaurantProcessing</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public interface <span class="typeNameLabel">IRestaurantProcessing</span></pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>float</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../bll/IRestaurantProcessing.html#computeOrderPrice-int-float-">computeOrderPrice</a></span>(int&nbsp;id,
                 float&nbsp;price)</code>
<div class="block">computes the price for an order</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../bll/IRestaurantProcessing.html#createBaseMenuItem-java.lang.String-float-">createBaseMenuItem</a></span>(java.lang.String&nbsp;name,
                  float&nbsp;price)</code>
<div class="block">creates a new base MenuItem</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>bll.MenuItem</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../bll/IRestaurantProcessing.html#createCompositeMenuItem-java.lang.String-float-java.util.ArrayList-">createCompositeMenuItem</a></span>(java.lang.String&nbsp;name,
                       float&nbsp;price,
                       java.util.ArrayList&lt;java.lang.String&gt;&nbsp;items)</code>
<div class="block">creates a new composite MenuItem</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../bll/IRestaurantProcessing.html#createNewOrder-int-int-java.lang.String-java.util.ArrayList-">createNewOrder</a></span>(int&nbsp;id,
              int&nbsp;table,
              java.lang.String&nbsp;date,
              java.util.ArrayList&lt;java.lang.String&gt;&nbsp;items)</code>
<div class="block">creates a new order</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../bll/IRestaurantProcessing.html#deleteMenuItem-java.lang.String-java.util.ArrayList-">deleteMenuItem</a></span>(java.lang.String&nbsp;name,
              java.util.ArrayList&lt;java.lang.String&gt;&nbsp;itemsToRemove)</code>
<div class="block">delete a MenuItem</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../bll/IRestaurantProcessing.html#editItems-java.lang.String-java.lang.String-java.lang.String-float-java.util.ArrayList-">editItems</a></span>(java.lang.String&nbsp;name,
         java.lang.String&nbsp;baseName,
         java.lang.String&nbsp;compositeName,
         float&nbsp;price,
         java.util.ArrayList&lt;java.lang.String&gt;&nbsp;components)</code>
<div class="block">edit an existing item</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../bll/IRestaurantProcessing.html#generateBill-java.lang.String-java.lang.String-float-">generateBill</a></span>(java.lang.String&nbsp;id,
            java.lang.String&nbsp;date,
            float&nbsp;price)</code>
<div class="block">generates a .txt file representing the bill for an order</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="createBaseMenuItem-java.lang.String-float-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createBaseMenuItem</h4>
<pre>int&nbsp;createBaseMenuItem(java.lang.String&nbsp;name,
                       float&nbsp;price)</pre>
<div class="block">creates a new base MenuItem</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - and price of the item</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>1 if succsessfull, 0 otherwise</dd>
</dl>
</li>
</ul>
<a name="createCompositeMenuItem-java.lang.String-float-java.util.ArrayList-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createCompositeMenuItem</h4>
<pre>bll.MenuItem&nbsp;createCompositeMenuItem(java.lang.String&nbsp;name,
                                     float&nbsp;price,
                                     java.util.ArrayList&lt;java.lang.String&gt;&nbsp;items)</pre>
<div class="block">creates a new composite MenuItem</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - of item</dd>
<dd><code>price</code> - of item</dd>
<dd><code>components</code> - of item</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>inserted object</dd>
</dl>
</li>
</ul>
<a name="editItems-java.lang.String-java.lang.String-java.lang.String-float-java.util.ArrayList-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>editItems</h4>
<pre>int&nbsp;editItems(java.lang.String&nbsp;name,
              java.lang.String&nbsp;baseName,
              java.lang.String&nbsp;compositeName,
              float&nbsp;price,
              java.util.ArrayList&lt;java.lang.String&gt;&nbsp;components)</pre>
<div class="block">edit an existing item</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - of the item to be edited</dd>
<dd><code>new</code> - name</dd>
<dd><code>new</code> - name</dd>
<dd><code>new</code> - price of the item</dd>
<dd><code>new</code> - list of components of the item</dd>
</dl>
</li>
</ul>
<a name="deleteMenuItem-java.lang.String-java.util.ArrayList-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>deleteMenuItem</h4>
<pre>void&nbsp;deleteMenuItem(java.lang.String&nbsp;name,
                    java.util.ArrayList&lt;java.lang.String&gt;&nbsp;itemsToRemove)</pre>
<div class="block">delete a MenuItem</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - of the item</dd>
<dd><code>all</code> - the items that contain the item to delete</dd>
</dl>
</li>
</ul>
<a name="createNewOrder-int-int-java.lang.String-java.util.ArrayList-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createNewOrder</h4>
<pre>void&nbsp;createNewOrder(int&nbsp;id,
                    int&nbsp;table,
                    java.lang.String&nbsp;date,
                    java.util.ArrayList&lt;java.lang.String&gt;&nbsp;items)</pre>
<div class="block">creates a new order</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>id</code> - of the order</dd>
<dd><code>number</code> - of the table</dd>
<dd><code>order</code> - date</dd>
<dd><code>order</code> - items</dd>
</dl>
</li>
</ul>
<a name="computeOrderPrice-int-float-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>computeOrderPrice</h4>
<pre>float&nbsp;computeOrderPrice(int&nbsp;id,
                        float&nbsp;price)</pre>
<div class="block">computes the price for an order</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>id</code> - of the selected order</dd>
<dd><code>the</code> - price of the item when the method is called in the waiterView frame</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the price of the order</dd>
</dl>
</li>
</ul>
<a name="generateBill-java.lang.String-java.lang.String-float-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>generateBill</h4>
<pre>void&nbsp;generateBill(java.lang.String&nbsp;id,
                  java.lang.String&nbsp;date,
                  float&nbsp;price)</pre>
<div class="block">generates a .txt file representing the bill for an order</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>id</code> - of the selected order</dd>
<dd><code>date</code> - of the selected order</dd>
<dd><code>the</code> - total price of the selected order</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../bll/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/IRestaurantProcessing.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../index.html?bll/IRestaurantProcessing.html" target="_top">Frames</a></li>
<li><a href="IRestaurantProcessing.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
